.container {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	width: 100%;
}

.container > form {
	display: flex;
	flex-direction: column;
	width: 55%;
}

.container_input {
	display: flex;
	flex-direction: row-reverse;
	margin: 1rem 0;
	width: 100%;
	margin-bottom: 15px;
	position: relative;
}

.container > form > .container_input > input[type='email'],
.container > form > .container_input > input[type='password'],
.container > form > .container_input > input[type='text'] {
	width: 100%;
	border: none;
	border-bottom: 0.5px solid grey;
	outline: none;
	padding: 1rem;
	padding-right: 30px; /* Espaço para o ícone à direita */
}

.container > form > button[type='submit'] {
	border-radius: 1rem;
	border: none;
	background-color: #1183ca;
	color: white;
	font-weight: 500;
	padding: 1rem;
	margin: 1rem 0;
	transition: 0.3s ease-in-out;
}

.container > form > button:hover {
	background-color: #24a0ed;
}

.icon {
	position: absolute;
	right: 10px;
	top: 50%;
	transform: translateY(-50%);
	cursor: pointer;
	color: black;
}

.lock-icon {
	left: 10px;
	right: auto; /* Certifique-se de que o ícone de cadeado fique à esquerda */
	cursor: default;
}

.container > form > .container_input > input[type='email']:focus,
.container > form > .container_input > input[type='password']:focus {
	border: none;
	border-bottom: 0.5px solid green;
}

.container > form > .container_input > input[type='email']:focus + .fa-regular,
.container > form > .container_input > input[type='password']:focus + .fa-solid {
	color: green;
}

.container > .alert {
	margin-bottom: 0 !important;
}

@media screen and (min-width: 701px) and (max-width: 1000px) {
	.container {
		padding: 2rem 0;
	}
	.container > form {
		width: 80%;
	}
}

@media screen and (max-width: 700px) {
	.container {
		padding: 2rem 0;
	}
	.container > form {
		width: 90%;
	}
}